Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155882 - Minor enhancements to squid RPM
Summary: Minor enhancements to squid RPM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-25 09:50 UTC by Reuben Farrelly
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-07 11:15:54 UTC


Attachments (Terms of Use)

Description Reuben Farrelly 2005-04-25 09:50:13 UTC
Hi,

Here are some directives which we should be including in the squid.spec file. 
These simply add support for more helpers (digest), they do not directly affect
the squid binary itself.

--enable-auth="basic,digest,ntlm"           (digest is new)
--enable-digest-auth-helpers="password"      (digest auth helper)
--enable-ntlm-auth-helpers="fakeauth,no_check,winbind"   (including fakeauth -
handy for testing)

Also, is there a reason why we are using  --enable-truncate  ?  I would tend to
suggest eliminating this option, -unlinkd is arguably slightly slower, but means
we are less likely to run out of inodes.
Anyone who is running a high performance or very busy proxy with squid should
know how to tune their system and make this change themselves, if they feel it
is important.  But for smaller installations where minimal configuration is
required, I would think that elimination of this configure option is actually an
overall gain.


Note You need to log in before you can comment on or make changes to this bug.